1

I'm having a problem to compile the model of the final graduation project that is available to download at this website: http://www.mec.puc-rio.br/downloads/Template_Latex_Relatorio_Projeto_Graducao_DEM_v3.rar

I don't have a lot of practice with latex, but i've made some projects on it, but not at this level. I've installed MiKTeX and TeXStudio. Here is the error log:

  • hyperref: Wrong DVI mode driver optiondvipdfm',(hyperref) because pdfTeX or LuaTeX is running in PDF mode. \ProcessKeyvalOptions{Hyp}`

  • Package natbib Error: Bibliography not compatible with author-year citations ...mand\NAT@force@numbers{}\NAT@force@numbers

And these are the packages that its on the file:

\documentclass[projeto,brazil]{ProjetoFinalDEM}

\usepackage[T1]{fontenc}                      % Fontes com acentos no PDF
\usepackage{multirow}                       % Pacote de linhas multiplas
\usepackage{multicol}                 % Pacote de colunas multiplas
\usepackage[square]{natbib}           % Bibliografia referenciada por [ref]
\usepackage{amsmath}                  % Equação em múltiplas linhas
\usepackage{booktabs}                 % Espessura das linhas em tabelas
\usepackage{amsthm}                   % Numeração de teoremas, proposições, corolarios, exemplos ....
\usepackage{color}                            % Pacote de fontes e caixas coloridas   
\usepackage{mathrsfs}
\usepackage{bm}
\usepackage{dsfont}             
\usepackage{tabularx}
\usepackage{colortbl}
\usepackage[dvipsnames,svgnames,x11names,fixpdftex]{xcolor}
\usepackage{numprint}
\usepackage{textcomp}
\usepackage{booktabs}
\usepackage{enumitem}
\usepackage{amssymb}
\usepackage{textcomp}
\usepackage[brazil]{babel}

I already have read some related issues and the tips of deleting dvips or some related stuff but haven't succeeded.

Any clue how to compile the code to generate do pdf file?

  • 1
    Welcome to TeX.SX! I'm not sure people are willing to download a .rar archive. – egreg May 24 '17 at 17:25
2

The class file ProjetoFinalDEM.cls contains:

\RequirePackage[backref=false,dvipdfm,colorlinks=false,bookmarksopen=true,breaklinks=true]{hyperref}

Since you are using a different driver (pdfTeX or LuaTeX), remove option dvipdfm. Both pdfTeX and LuaTeX are auto-detected by hyperref.

  • Thanks a lot for your help, it worked deleting all dvipdfm from 'ProjetoFinalDEM.cls' . But now im trying to solve the second error from 'natbib', i've searched for possible solutions and any worked for me, i tryied look for missing ',' at the end of line, for empty entries for 'year' and swapping \cite for \citet or \citep and none of these have worked. Anny suggestion? Thank again for all help – José Goulart May 25 '17 at 0:30
1

Ok, i solved the second problem:

Package natbib Error: Bibliography not compatible with author-year citations ...mand\NAT@force@numbers{}\NAT@force@numbers

I solved by switching:

\usepackage[square]{natbib}

for

\usepackage[numbers,square,sort]{natbib}

Thanks again for all your help. Administrator can close the topic now.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.